<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Document</title>
</head>

<body>
  <h2>Reset password for user: <%= username %></h2>
  <form onsubmit="handleform(event)">
    <input id="newpassword" type="password" placeholder="new password">
    <button type="submit">Change Password</button>
  </form>
  <script>
    function handleform(e) {
      e.preventDefault();
      var user_id = "<%= user_id %>";
      var ResetKey = "<%= ResetKey %>";
      var newpassword = document.getElementById('newpassword').value;
      // make post request to reset pw
      var xhr = new XMLHttpRequest();
      xhr.open('POST', '/api/resetpw');
      xhr.setRequestHeader('Content-Type', 'application/json');
      xhr.onload = function () {
        if (xhr.status === 200) {
          alert(xhr.responseText);
          // redirect to another page on success
        }
      };
      xhr.send(JSON.stringify({ user_id, ResetKey, newpassword }));
    }
  </script>
</body>

</html>